Subject: Tcl bug??
From: [email-masked] (Albert Koelmans)

6 May 1998 14:19:42 -0700
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
To: [email-masked] (GNU win32 mailing list)

I am having trouble with the Tcl implementation (I am using itcl_wish because
cygwish80 refuses to run because of lack of memory - don't know why).

The following code runs fine under Tcl v7 on my Sun machine. The syntax is
correct as far as I can tell. 'pnit_dir' is an environment variable.
The error message refers to the bit between the double quotes (which is a
single line in the tcl file). The error message is
Bad cursor spec "....."

Here are the relevant lines:

global canvas pnit_dir
canvas configure -cursor "@${pnit_dir}/bitmap/cursorToken.bm
             ${pnit_dir}/bitmap/cursorTokenMask.bm black gray"

I've tried replacing " " by [list ] but that doesn't help.
Here's the content of the first .bm file:

#define cursorCircle_width 19
#define cursorCircle_height 19
#define cursorCircle_x_hot 1
#define cursorCircle_y_hot 1
static char cursorCircle_bits[] = {
   0xff, 0x1f, 0x00, 0xfd, 0x7f, 0x00, 0x7f, 0xf0, 0x00, 0x1f, 0xc0, 0x01,
   0x0f, 0x80, 0x03, 0x07, 0x00, 0x03, 0x07, 0x00, 0x07, 0x03, 0x00, 0x06,
   0x03, 0x00, 0x06, 0x03, 0x00, 0x06, 0x03, 0x00, 0x06, 0x03, 0x00, 0x06,
   0x07, 0x00, 0x07, 0x06, 0x00, 0x03, 0x0e, 0x80, 0x03, 0x1c, 0xc0, 0x01,
   0x78, 0xf0, 0x00, 0xf0, 0x7f, 0x00, 0xc0, 0x1f, 0x00};

This looks like a bug to me - any help much appreciated.

Cheers

Albert

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".